%{?el6:%define _without_gtk 1}
%{?el5:%define _without_gtk 1}

Summary:        Detect and extract steganography messages inside JPEG
Name:           stegdetect
Version:        0.6
Release:        3%{?dist}
License:        BSD
Group:          Applications/File
URL:            http://www.outguess.org/detection.php

Source0:        http://www.outguess.org/stegdetect-%{version}.tar.gz

#Rules.ini file from version 0.5 was not distributed in 0.6
Source1:        %{name}-rules.ini

#Patch the configure to build on Fedora from dag
Patch0:         %{name}-%{version}-configure.patch

#Patch to reflect recent changed in the libevent
Patch1:         %{name}-%{version}-libevent.patch

#Patch to fix the path to the rules.ini needed by stegbreak
Patch2:         %{name}-%{version}-stegbreak.patch

#Remove testing code which was forgotten in stegdeimage
Patch3:         %{name}-%{version}-stegdeimage.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  gcc-c++
%{!?_without_gtk:BuildRequires: gtk+-devel}
%{!?_without_gtk:BuildRequires: libevent-devel}

%description
Stegdetect is an automated tool for detecting steganographic content in
images. It is capable of detecting several different steganographic
methods to embed hidden information in JPEG images. Currently, the
detectable schemes are jsteg, jphide, invisible secrets, outguess 01.3b,
F5, appendX, and camouflage. Using linear discriminant analysis, it also
supports detection of new stego systems. Stegbreak is used to launch
dictionary attacks against JSteg-Shell, JPHide, and OutGuess 0.13b.

%prep
%setup
%patch0 -p1 -b .configure
%patch1 -p1 -b .libevent
%patch2 -p1 -b .stegbreak
%patch3 -p1 -b .stegdeimage

%{__perl} -pi -e 's|debug|stegdebug|g' stegdetect.c

%build
aclocal
autoconf
automake
%configure --program-prefix="%{?_program_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}" SUBDIRS=""
install -D -m 644 -p %{SOURCE1} %{buildroot}%{_datadir}/%{name}/rules.ini


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc %{_mandir}/man1/stegbreak.1*
%doc %{_mandir}/man1/stegdetect.1*
%{_bindir}/stegbreak
%{_bindir}/stegcompare
%{_bindir}/stegdeimage
%{_bindir}/stegdetect
%{_datadir}/%{name}/rules.ini
%{!?_without_gtk:%{_bindir}/xsteg}



%changelog
* Sun Feb 05 2012 Michal Ambroz <rebus AT, seznam.cz> - 0.6-3
- patch to be able to build xteg for Fedora16
- include the rules.ini file from version 0.5

* Wed Feb 16 2011 Dag Wieers <dag@wieers.com> - 0.6-1
- Initial package. (using DAR)
